<%@ Page Language="vb" %>
<%@ Register TagPrefix="Rico" Assembly="Rico" NameSpace="Rico" %>
<%@ Register TagPrefix="My" TagName="dbLib" Src="dbConnect.ascx" %>
<My:dbLib id='app' runat='server' />

<script runat="server">

Sub Page_Load(Sender As object, e As EventArgs)
  Dim parent as String = Left(Request.QueryString("Parent"),1)  ' first character of company name

  if not app.OpenDB() then
    TreeData.ErrorMsg=app.LastErrorMsg
  else
    TreeData.dbConnection=app.dbConnection
    if parent <> "" then
      ' get the leaf nodes - customer names starting with the letter contained in parent
      TreeData.sqlText="SELECT '" & parent & "',CustomerID,CompanyName,'L',1 FROM customers where CompanyName like '" & parent & "%'"
    else
      ' this is a request for the root node
      TreeData.WriteTreeRow("","root","Customer names starting with...","C",0)
      ' return a list of the first letters of the company names
      TreeData.sqlText="SELECT distinct 'root',left(CompanyName,1),left(CompanyName,1),'C',0 FROM customers"
    end if
  end if
End Sub

</script>

<Rico:TreeResponse id="TreeData" runat="server"/>
